## edu.cwru.SimpleRTS.model.resource
Enum ResourceType

    java.lang.Object
      java.lang.Enum<ResourceType>
          edu.cwru.SimpleRTS.model.resource.ResourceType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ResourceType>

    public enum ResourceType

extends java.lang.Enum<ResourceType>

Enum Constant Summary
`GOLD`
`WOOD`

Method Summary
`static ResourceType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ResourceType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GOLD

    public static final ResourceType GOLD

### WOOD

    public static final ResourceType WOOD

Method Detail

### values

    public static ResourceType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ResourceType c : ResourceType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ResourceType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null